# Class BadPaddingException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.security.GeneralSecurityException
javax.crypto.BadPaddingException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AEADBadTagException`

public class BadPaddingException extends GeneralSecurityException
This exception is thrown when a particular padding mechanism is expected for the input data but the data is not padded properly.

Since:
  1.4
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BadPaddingException()`
  Constructs a `BadPaddingException` with no detail message.
  `BadPaddingException(String msg)`
  Constructs a `BadPaddingException` with the specified detail message.

- ## Method Summary

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BadPaddingException

    public BadPaddingException()
    Constructs a `BadPaddingException` with no detail message. A detail message is a `String` that describes this particular exception.

  - ### BadPaddingException

    public BadPaddingException(String msg)
    Constructs a `BadPaddingException` with the specified detail message.
    Parameters:
      `msg` - the detail message.